## org.apache.myfaces.util
Class IteratorEnumeration

    java.lang.Object
      org.apache.myfaces.util.IteratorEnumeration

All Implemented Interfaces:
  java.util.Enumeration

public class IteratorEnumeration
extends java.lang.Object
implements java.util.Enumeration

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Anton Koinov (latest modification by $Author: grantsmith $)

Constructor Summary
`IteratorEnumeration(java.util.Iterator it)`

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorEnumeration

    public IteratorEnumeration(java.util.Iterator it)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`